%define		__spec_clean_body	%{nil}
%define		_enable_debug_packages	0
Summary:	KDE Frameworks - common directories
Name:		kf5-dirs
Version:	0.2
Release:	14
License:	LGPL
Group:		X11/Libraries
URL:		http://www.kde.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Frameworks - common directories.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT%{_includedir}/KF5 \
	$RPM_BUILD_ROOT%{_datadir}/kf5/{kcookiejar,widgets/pics,locale} \
	$RPM_BUILD_ROOT%{_datadir}/{kservicetypes5,knotifications5,kservices5/{ServiceMenus,kded,searchproviders},kxmlgui5} \
	$RPM_BUILD_ROOT%{_datadir}/kpackage/genericqml \
	$RPM_BUILD_ROOT%{_datadir}/kstyle/themes \
	$RPM_BUILD_ROOT%{_datadir}/plasma/{look-and-feel,packages,plasmoids,shells} \
	$RPM_BUILD_ROOT%{_datadir}/remoteview \
	$RPM_BUILD_ROOT%{_datadir}/solid/actions \
	$RPM_BUILD_ROOT%{_datadir}/solid/devices \
	$RPM_BUILD_ROOT%{_datadir}/emoticons/Glass \
	$RPM_BUILD_ROOT%{_libdir}/kf5 \
	$RPM_BUILD_ROOT%{_libdir}/qt5/plugins/kf5/{kded,parts,urifilters,org.kde.kwindowsystem.platforms} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/plugins/{org.kde.kdecoration2,script,styles} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/org/kde/{kconfig,kio,draganddrop,kcoreaddons,kquickcontrols,kquickcontrolsaddons,kwindowsystem,private/kquickcontrols,runnermodel} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/org/kde/plasma/private \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/QtQuick/Controls/Styles \
	$RPM_BUILD_ROOT%{_libdir}/qt5/platformqml/touch/org/kde/plasma \
	$RPM_BUILD_ROOT%{_docdir}/HTML/{af,ca,cs,da,de,el,en,eo,es,et,fr,gl,he,hu,it,ja,ko,lt,nds,nl,nn,pl,pt,ro,ru,sl,sr,sv,tr,uk,wa,xh} \
	$RPM_BUILD_ROOT%{_sysconfdir}/xdg/ui


%clean
cd $RPM_BUILD_ROOT
check_filesystem_dirs() {
	RPMFILE=%{name}-%{version}-%{release}.%{_target_cpu}.rpm
	TMPFILE=$(mktemp)
	# NOTE:	we must exclude from check all existing dirs belonging to FHS
	find | sed -e 's|^\.||g' -e 's|^$||g' | LC_ALL=C sort | grep -v $TMPFILE | grep -E -v '^/(usr|usr/include|usr/lib|usr/lib64|usr/libx32|usr/share|usr/share/doc|usr/share/applications|usr/share/icons|usr/lib/qt5|usr/lib64/qt5|usr/libx32/qt5|usr/lib/qt5/imports|usr/lib64/qt5/imports|usr/libx32/qt5/imports|usr/lib/qt5/imports/org|usr/lib64/qt5/imports/org|usr/libx32/qt5/imports/org|usr/lib/qt5/plugins|usr/lib64/qt5/plugins|usr/libx32/qt5/plugins|usr/lib/qt5/qml|usr/lib64/qt5/qml|usr/libx32/qt5/qml|usr/lib/qt5/qml/QtQuick|usr/lib64/qt5/qml/QtQuick|usr/libx32/qt5/qml/QtQuick|etc|etc/xdg)$' > $TMPFILE

	# find finds also '.', so use option -B for diff
	if rpm -qpl %{_rpmdir}/$RPMFILE | grep -v '^/$' | LC_ALL=C sort | diff -uB $TMPFILE -; then
		rm -rf $RPM_BUILD_ROOT
	else
		echo -e "\nNot so good, some directories are not included in package\n"
		exit 1
	fi
	rm -f $TMPFILE
}
check_filesystem_dirs

%files
%defattr(644,root,root,755)
%dir %{_includedir}/KF5
%dir %{_datadir}/emoticons
%dir %{_datadir}/emoticons/Glass
%dir %{_datadir}/kf5
%dir %{_datadir}/kf5/kcookiejar
%dir %{_datadir}/kf5/locale
%dir %{_datadir}/kf5/widgets
%dir %{_datadir}/kf5/widgets/pics
%dir %{_datadir}/kservicetypes5
%dir %{_datadir}/kservices5
%dir %{_datadir}/kservices5/ServiceMenus
%dir %{_datadir}/kservices5/kded
%dir %{_datadir}/kservices5/searchproviders
%dir %{_datadir}/knotifications5
%dir %{_datadir}/kxmlgui5
%dir %{_datadir}/kpackage
%dir %{_datadir}/kpackage/genericqml
%dir %{_datadir}/kstyle
%dir %{_datadir}/kstyle/themes
%dir %{_datadir}/plasma
%dir %{_datadir}/plasma/look-and-feel
%dir %{_datadir}/plasma/packages
%dir %{_datadir}/plasma/plasmoids
%dir %{_datadir}/plasma/shells
%dir %{_datadir}/remoteview
%dir %{_datadir}/solid
%dir %{_datadir}/solid/actions
%dir %{_datadir}/solid/devices
%dir %{_libdir}/kf5
%dir %{_libdir}/qt5/plugins/org.kde.kdecoration2
%dir %{_libdir}/qt5/plugins/script
%dir %{_libdir}/qt5/plugins/styles
%dir %{_libdir}/qt5/plugins/kf5
%dir %{_libdir}/qt5/plugins/kf5/kded
%dir %{_libdir}/qt5/plugins/kf5/org.kde.kwindowsystem.platforms
%dir %{_libdir}/qt5/plugins/kf5/parts
%dir %{_libdir}/qt5/plugins/kf5/urifilters
%dir %{_libdir}/qt5/qml/QtQuick/Controls
%dir %{_libdir}/qt5/qml/QtQuick/Controls/Styles
%dir %{_libdir}/qt5/qml/org
%dir %{_libdir}/qt5/qml/org/kde
%dir %{_libdir}/qt5/qml/org/kde/kio
%dir %{_libdir}/qt5/qml/org/kde/draganddrop
%dir %{_libdir}/qt5/qml/org/kde/kconfig
%dir %{_libdir}/qt5/qml/org/kde/kcoreaddons
%dir %{_libdir}/qt5/qml/org/kde/kquickcontrols
%dir %{_libdir}/qt5/qml/org/kde/kquickcontrolsaddons
%dir %{_libdir}/qt5/qml/org/kde/kwindowsystem
%dir %{_libdir}/qt5/qml/org/kde/plasma
%dir %{_libdir}/qt5/qml/org/kde/plasma/private
%dir %{_libdir}/qt5/qml/org/kde/private
%dir %{_libdir}/qt5/qml/org/kde/private/kquickcontrols
%dir %{_libdir}/qt5/qml/org/kde/runnermodel
%dir %{_libdir}/qt5/platformqml
%dir %{_libdir}/qt5/platformqml/touch
%dir %{_libdir}/qt5/platformqml/touch/org
%dir %{_libdir}/qt5/platformqml/touch/org/kde
%dir %{_libdir}/qt5/platformqml/touch/org/kde/plasma
%dir %{_sysconfdir}/xdg/ui
%dir %{_docdir}/HTML/
%lang(af) %dir %{_docdir}/HTML/af
%lang(ca) %dir %{_docdir}/HTML/ca
%lang(cs) %dir %{_docdir}/HTML/cs
%lang(da) %dir %{_docdir}/HTML/da
%lang(de) %dir %{_docdir}/HTML/de
%lang(el) %dir %{_docdir}/HTML/el
%lang(en) %dir %{_docdir}/HTML/en
%lang(eo) %dir %{_docdir}/HTML/eo
%lang(es) %dir %{_docdir}/HTML/es
%lang(et) %dir %{_docdir}/HTML/et
%lang(fr) %dir %{_docdir}/HTML/fr
%lang(gl) %dir %{_docdir}/HTML/gl
%lang(he) %dir %{_docdir}/HTML/he
%lang(hu) %dir %{_docdir}/HTML/hu
%lang(it) %dir %{_docdir}/HTML/it
%lang(ja) %dir %{_docdir}/HTML/ja
%lang(ko) %dir %{_docdir}/HTML/ko
%lang(lt) %dir %{_docdir}/HTML/lt
%lang(nds) %dir %{_docdir}/HTML/nds
%lang(nl) %dir %{_docdir}/HTML/nl
%lang(nn) %dir %{_docdir}/HTML/nn
%lang(pl) %dir %{_docdir}/HTML/pl
%lang(pt) %dir %{_docdir}/HTML/pt
%lang(ro) %dir %{_docdir}/HTML/ro
%lang(ru) %dir %{_docdir}/HTML/ru
%lang(sl) %dir %{_docdir}/HTML/sl
%lang(sr) %dir %{_docdir}/HTML/sr
%lang(sv) %dir %{_docdir}/HTML/sv
%lang(tr) %dir %{_docdir}/HTML/tr
%lang(uk) %dir %{_docdir}/HTML/uk
%lang(wa) %dir %{_docdir}/HTML/wa
%lang(xh) %dir %{_docdir}/HTML/xh
%changelog
* Mon Oct 30 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-dirs.git;a=log;h=master

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> f73d36c
- kpackage/genericqml

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> b2906d3
- plasma/shells, plasma/packages

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 1727e60
- solid/devices

* Mon Oct 23 2017 Jan Rękorajski <baggins@pld-linux.org> c6bedf9
- rel 12

* Tue Sep 26 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> efdcb4b
- rel 11; add datadir/solid/actions

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5190490
- release 10 (by relup.sh)

* Mon Sep 07 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b4a7cc
- rel 9; add qt5/plugins/script

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a82232b
- rel 8; add ServiceMenus

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a7e752
- rel 7; add ServiceMenus

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ec38a98
- rel 6; more dirs

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2742cd2
- rel 5; more dirs

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b621bda
- rel 4; more dirs

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d8ce944
- rel 3; proper dir location

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 83831af
- rel 2; add org.kde.kwindowsystem.platforms

* Thu Jul 16 2015 Jan Rękorajski <baggins@pld-linux.org> cf8a2d9
- added libx32 dirs

* Sun May 24 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d0fe56
- rel 2; more dirs

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f2f0e20
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b710d62
- and more

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2152407
- one more dir

* Fri Dec 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e65276c
- initial ; some dirs should probably got to other packages

